<?xml version="1.0" encoding="UTF-8"?>

<databaseChangeLog
  xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
         http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.1.xsd">

  <changeSet id="create-table-bases" author="Zuew Illya">
    <createTable tableName="bases">
      <column name="id" type="int" autoIncrement="true">
        <constraints nullable="false" primaryKey="true"/>
      </column>
      <column name="name" type="varchar(30)">
        <constraints nullable="false"/>
      </column>
      <column name="short_name" type="varchar(1)">
        <constraints nullable="false"/>
      </column>
    </createTable>
  </changeSet>

  <changeSet id="create-table-specialities" author="Zuew Illya">
    <createTable tableName="specialities">
      <column name="id" type="int" autoIncrement="true">
        <constraints nullable="false" primaryKey="true"/>
      </column>
      <column name="name" type="varchar(150)">
        <constraints nullable="false"/>
      </column>
      <column name="program" type="varchar(150)">
        <constraints nullable="false"/>
      </column>
      <column name="short_name" type="varchar(2)">
        <constraints nullable="false"/>
      </column>
    </createTable>
  </changeSet>

  <changeSet id="create-table-payments" author="Zuew Illya">
    <createTable tableName="payments">
      <column name="id" type="int" autoIncrement="true">
        <constraints nullable="false" primaryKey="true"/>
      </column>
      <column name="name" type="varchar(20)">
        <constraints nullable="false"/>
      </column>
    </createTable>
  </changeSet>

  <changeSet id="create-table-s_groups" author="Zuew Illya">
    <createTable tableName="s_groups">
      <column name="id" type="int" autoIncrement="true">
        <constraints nullable="false" primaryKey="true"/>
      </column>
      <column name="name" type="varchar(10)">
        <constraints nullable="false"/>
      </column>
      <column name="speciality_id" type="int">
        <constraints foreignKeyName="fk_s_groups_specialities" references="specialities(id)" nullable="false"/>
      </column>
      <column name="base_id" type="int">
        <constraints foreignKeyName="fk_s_groups_bases" references="bases(id)" nullable="false"/>
      </column>
    </createTable>
  </changeSet>

  <changeSet id="create-table-students" author="Zuew Illya">
    <createTable tableName="students">
      <column name="id" type="bigint" autoIncrement="true">
        <constraints nullable="false" primaryKey="true"/>
      </column>
      <column name="name" type="varchar(100)">
        <constraints nullable="false"/>
      </column>
      <column name="surname" type="varchar(100)">
        <constraints nullable="false"/>
      </column>
      <column name="patronymic" type="varchar(100)">
        <constraints nullable="false"/>
      </column>
      <column name="avg_mark" type="double(6)">
        <constraints nullable="false"/>
      </column>
      <column name="group_id" type="int">
        <constraints foreignKeyName="fk_students_s_groups" references="s_groups(id)" nullable="false"/>
      </column>
      <column name="payment_id" type="int">
        <constraints foreignKeyName="fk_students_payments" references="payments(id)" nullable="false"/>
      </column>
    </createTable>
  </changeSet>
</databaseChangeLog>